******************
* monam lib file *
******************

; nodes found in the execbase that identifies as lib (LnType=9) or resource(=8)
; search in this text if there is a name for that offset.
; ( library, gadget, class, image, datatype, hidd, mui, mcc, card )


; 	>jsr	-$1E(a6) 
;	>jsr	$FFE2(a6)
; is seen as
;	>jsr	_LVOSupervisor(a6) ; exec.libray
;	>jsr	_LVOOpen(a6) ; dos.libray
;	>jsr	_LVOAddConfigDev(a6) ; expansion.library



; name  e q u  value at the START of a line is seens as offset
; first encountered  text  d o t  text is seen as new library start
; so do not use dots.
; library name is Case Sensitive, must be an exact match
; E q U is case insensitive
; values can be decimal 16 or $10 hexidecimal

; lines that start with * or ; are NOT seen as comment
; every line is tested.







; this file includes the following
*************
* library's *
*************
* amigaguide
* asl
* bullet
* colorwheel
* commodities
* cybergraphics
* datatypes
* diskfont
* dos
* dtclass
* exec+
* expansion
* gadtools
* graphics+
* icon
* iffparse
* intuition+
* keymap
* layers
* locale
* lowlevel
* mathffp
* mathieeedoubbas
* mathieeedoubtrans
* mathieeesignbas
* mathieeesigntrans
* mathtrans
* nonvolatile
* rexxsyslib
* translator
* utility+
* workbench
* xpkmaster

**************
* resource's *
**************
* battclock
* battmem
* card
* ciaa
* ciab
* disk
* FileSystem
* misc
* potgo
* vampire

************
* device's *
************
* console
* input
* ramdrive
* timer



* All libs:

LnSucc	equ	0	; Pointer to next (successor)
LnPred	equ	4	; Pointer to previous (predecessor)
LnType	equ	8
nPri	equ	9		; Priority, for sorting
LnName	equ	10
LibFlags	equ	14
LibPad		equ	15	; must be zero
LibNegSize	equ	16	; number of bytes before LIB
LibPosSize	equ	18	; number of bytes after LIB
LibVersion	equ	20	; major
LibRevision	equ	22	; minor
LibIdString	equ	24	; ASCII identification
LibSum		equ	28	; the system-calculated checksum
LibOpenCnt	equ	32	; number of current opens


*********************  amigaguide.library ***********************

_LVOAGARexxHost                equ     -30
_LVOLockAmigaGuideBase         equ     -36
_LVOUnlockAmigaGuideBase       equ     -42
_LVOOpenAmigaGuideA            equ     -54
_LVOOpenAmigaGuideAsyncA       equ     -60
_LVOCloseAmigaGuide            equ     -66
_LVOAmigaGuideSignal           equ     -72
_LVOGetAmigaGuideMsg           equ     -78
_LVOReplyAmigaGuideMsg         equ     -84
_LVOSetAmigaGuideContextA      equ     -90
_LVOSendAmigaGuideContextA     equ     -96
_LVOSendAmigaGuideCmdA         equ     -102
_LVOSetAmigaGuideAttrsA        equ     -108
_LVOGetAmigaGuideAttr          equ     -114
_LVOAddAmigaGuideHostA         equ     -138
_LVORemoveAmigaGuideHostA      equ     -144
_LVOGetAmigaGuideString        equ     -210

********************** asl.library *****************************

_LVOAllocFileRequest   equ     -30     ; Functions in V36 or higher (2.0)
_LVOFreeFileRequest    equ     -36
_LVORequestFile        equ     -42
_LVOAllocAslRequest    equ     -48
_LVOFreeAslRequest     equ     -54
_LVOAslRequest         equ     -60

********************** battclock.resource **********************

_LVOResetBattClock     equ     -6
_LVOReadBattClock      equ     -12
_LVOWriteBattClock     equ     -18
_LVOReadBattClockMem   equ     -24
_LVOWriteBattClockMem  equ     -30

*********************** battmem.resource ***********************

_LVOObtainBattSemaphore    equ -6
_LVOReleaseBattSemaphore   equ -12
_LVOReadBattMem            equ -18
_LVOWriteBattMem           equ -24

********************** bullet.library **************************

_LVOOpenEngine         equ     -30
_LVOCloseEngine        equ     -36
_LVOSetInfoA           equ     -42
_LVOObtainInfoA        equ     -48
_LVOReleaseInfoA       equ     -54

************************* card.resource ************************

_LVOOwnCard            equ     -6
_LVOReleaseCard        equ     -12
_LVOGetCardMap         equ     -18
_LVOBeginCardAccess    equ     -24
_LVOEndCardAccess      equ     -30
_LVOReadCardStatus     equ     -36
_LVOCardResetRemove    equ     -42
_LVOCardMiscControl    equ     -48
_LVOCardAccessSpeed    equ     -54
_LVOCardProgramVoltage equ     -60
_LVOCardResetCard      equ     -66
_LVOCopyTuple          equ     -72
_LVODeviceTuple        equ     -78
_LVOIfAmigaXIP         equ     -84
_LVOCardForceChange     equ     -90
_LVOCardChangeCount     equ     -96
_LVOCardInterface       equ     -102

************** ciaa.resource *****************

_LVOAddICRVector       equ     -6
_LVORemICRVector       equ     -12
_LVOAbleICR            equ     -18
_LVOSetICR             equ     -24

************** ciab.resource *****************

_LVOAddICRVector       equ     -6
_LVORemICRVector       equ     -12
_LVOAbleICR            equ     -18
_LVOSetICR             equ     -24

******************** colorwheel.library ************************

_LVOConvertHSBToRGB	equ	-30
_LVOConvertRGBToHSB	equ	-36

********************** commodities.library *********************

_LVOCreateCxObj        equ     -30     ; Functions in V36 or higher (2.0)
_LVOCxBroker           equ     -36
_LVOActivateCxObj      equ     -42
_LVODeleteCxObj        equ     -48
_LVODeleteCxObjAll     equ     -54
_LVOCxObjType          equ     -60
_LVOCxObjError         equ     -66
_LVOClearCxObjError    equ     -72
_LVOSetCxObjPri        equ     -78
_LVOAttachCxObj        equ     -84
_LVOEnqueueCxObj       equ     -90
_LVOInsertCxObj        equ     -96
_LVORemoveCxObj        equ     -102
_LVOFindBroker         equ     -108
_LVOSetTranslate       equ     -114
_LVOSetFilter          equ     -120
_LVOSetFilterIX        equ     -126
_LVOParseIX            equ     -132
_LVOCxMsgType          equ     -138
_LVOCxMsgData          equ     -144
_LVOCxMsgID            equ     -150
_LVODivertCxMsg        equ     -156
_LVORouteCxMsg         equ     -162
_LVODisposeCxMsg       equ     -168
_LVOInvertKeyMap       equ     -174
_LVOAddIEvents         equ     -180
_LVOCopyBrokerList     equ     -186
_LVOFreeBrokerList     equ     -192
_LVOBrokerCommand      equ     -198
_LVOMatchIX            equ     -204

*********************** console.device *************************

_LVOCDInputHandler     equ     -42
_LVORawKeyConvert      equ     -48
_LVOGetConSnip         equ     -54     ; Functions in V36 or higher (2.0)
_LVOSetConSnip         equ     -60
_LVOAddConSnipHook     equ     -66
_LVORemConSnipHook     equ     -72

********************** cybergraphics.library ***********************

_LVOcgfxPrivate1		equ		-30
_LVOcgfxPrivate2		equ		-36	
_LVOcgfxPrivate3		equ		-42
_LVOcgfxPrivate4		equ		-48
_LVOIsCyberModeID		equ		-54
_LVOBestCModeIDTagList		equ		-60
_LVOCModeRequestTagList		equ		-66
_LVOAllocCModeListTagList	equ		-72
_LVOFreeCModeList		equ		-78
_LVOcgfxPrivate5		equ		-84
_LVOScalePixelArray		equ		-90
_LVOGetCyberMapAttr		equ		-96
_LVOGetCyberIDAttr		equ		-102
_LVOReadRGBPixel		equ		-108
_LVOWriteRGBPixel		equ		-114
_LVOReadPixelArray		equ		-120
_LVOWritePixelArray		equ		-126
_LVOMovePixelArray		equ		-132
_LVOcgfxPrivate6		equ		-138
_LVOInvertPixelArray		equ		-144
_LVOFillPixelArray		equ		-150
_LVODoCDrawMethodTagList	equ		-156
_LVOCVideoCtrlTagList		equ		-162
_LVOLockBitMapTagList		equ		-168
_LVOUnLockBitMap		equ		-174
_LVOUnLockBitMapTagList		equ		-180
_LVOExtractColor		equ		-186
_LVOcgfxPrivate7		equ		-192
_LVOWriteLUTPixelArray		equ		-198

********************** datatypes.library ***********************

_LVORLDispatch         equ	-30
_LVOObtainDataTypeA    equ	-36
_LVOReleaseDataType	equ	-42
_LVONewDTObjectA	equ	-48
_LVODisposeDTObject	equ	-54
_LVOSetDTAttrsA        equ	-60
_LVOGetDTAttrsA        equ	-66
_LVOAddDTObject        equ	-72
_LVORefreshDTObjectA	equ	-78
_LVODoAsyncLayout	equ	-84
_LVODoDTMethodA        equ	-90
_LVORemoveDTObject	equ	-96
_LVOGetDTMethods	equ	-102
_LVOGetDTTriggerMethods equ	-108
_LVOPrintDTObjectA	equ	-114
_LVOGetDTString        equ	-138

************************ disk.resource *************************

_LVOAllocUnit          equ     -6
_LVOFreeUnit           equ     -12
_LVOGetUnit            equ     -18
_LVOGiveUnit           equ     -24
_LVOGetUnitID          equ     -30
_LVOReadUnitID         equ     -36     ; Functions in V37 or higher (2.0)

************************ diskfont.library **********************

_LVOOpenDiskFont       equ     -30
_LVOAvailFonts         equ     -36
_LVONewFontContents    equ     -42     ; Functions in V34 or higher (1.3)
_LVODisposeFontContents equ     -48
_LVONewScaledDiskFont  equ     -54     ; Functions in V36 or higher (2.0)

************************ dos.library ***************************

_LVOOpen               equ     -30
_LVOClose              equ     -36
_LVORead               equ     -42
_LVOWrite              equ     -48
_LVOInput              equ     -54
_LVOOutput             equ     -60
_LVOSeek               equ     -66
_LVODeleteFile         equ     -72
_LVORename             equ     -78
_LVOLock               equ     -84
_LVOUnLock             equ     -90
_LVODupLock            equ     -96
_LVOExamine            equ     -102
_LVOExNext             equ     -108
_LVOInfo               equ     -114
_LVOCreateDir          equ     -120
_LVOCurrentDir         equ     -126
_LVOIoErr              equ     -132
_LVOCreateProc         equ     -138
_LVOExit               equ     -144
_LVOLoadSeg            equ     -150
_LVOUnLoadSeg          equ     -156
_LVOGetPacket          equ     -162
_LVOQueuePacket        equ     -168
_LVODeviceProc         equ     -174
_LVOSetComment         equ     -180
_LVOSetProtection      equ     -186
_LVODateStamp          equ     -192
_LVODelay              equ     -198
_LVOWaitForChar        equ     -204
_LVOParentDir          equ     -210
_LVOIsInteractive      equ     -216
_LVOExecute            equ     -222
_LVOAllocDosObject     equ     -228    ; Functions in V36 or higher (2.0)
_LVOFreeDosObject      equ     -234
_LVODoPkt              equ     -240
_LVOSendPkt            equ     -246
_LVOWaitPkt            equ     -252
_LVOReplyPkt           equ     -258
_LVOAbortPkt           equ     -264
_LVOLockRecord         equ     -270
_LVOLockRecords        equ     -276
_LVOUnLockRecord       equ     -282
_LVOUnLockRecords      equ     -288
_LVOSelectInput        equ     -294
_LVOSelectOutput       equ     -300
_LVOFGetC              equ     -306
_LVOFPutC              equ     -312
_LVOUnGetC             equ     -318
_LVOFRead              equ     -324
_LVOFWrite             equ     -330
_LVOFGets              equ     -336
_LVOFPuts              equ     -342
_LVOVFWritef           equ     -348
_LVOVFPrintf           equ     -354
_LVOFlush              equ     -360
_LVOSetVBuf            equ     -366
_LVODupLockFromFH      equ     -372
_LVOOpenFromLock       equ     -378
_LVOParentOffH         equ     -384
_LVOExamineFH          equ     -390
_LVOSetFileDate        equ     -396
_LVONameFromLock       equ     -402
_LVONameFromFH         equ     -408
_LVOSplitName          equ     -414
_LVOSameLock           equ     -420
_LVOSetMode            equ     -426
_LVOExAll              equ     -432
_LVOReadLink           equ     -438
_LVOMakeLink           equ     -444
_LVOChangeMode         equ     -450
_LVOSetFileSize        equ     -456
_LVOSetIoErr           equ     -462
_LVOFault              equ     -468
_LVOPrintFault         equ     -474
_LVOErrorReport        equ     -480
_LVOCli                equ     -492
_LVOCreateNewProc      equ     -498
_LVORunCommand         equ     -504
_LVOGetConsoleTask     equ     -510
_LVOSetConsoleTask     equ     -516
_LVOGetFileSysTask     equ     -522
_LVOSetFileSysTask     equ     -528
_LVOGetArgStr          equ     -534
_LVOSetArgStr          equ     -540
_LVOFindCliProc        equ     -546
_LVOMaxCli             equ     -552
_LVOSetCurrentDirName  equ     -558
_LVOGetCurrentDirName  equ     -564
_LVOSetProgramName     equ     -570
_LVOGetProgramName     equ     -576
_LVOSetPrompt          equ     -582
_LVOGetPrompt          equ     -588
_LVOSetProgramDir      equ     -594
_LVOGetProgramDir      equ     -600
_LVOSystemTagList      equ     -606
_LVOAssignLock         equ     -612
_LVOAssignLate         equ     -618
_LVOAssignPath         equ     -624
_LVOAssignAdd          equ     -630
_LVORemAssignList      equ     -636
_LVOGetDeviceProc      equ     -642
_LVOFreeDeviceProc     equ     -648
_LVOLockDosList        equ     -654
_LVOUnLockDosList      equ     -660
_LVOAttemptLockDosList equ     -666
_LVORemDosEntry        equ     -672
_LVOAddDosEntry        equ     -678
_LVOFindDosEntry       equ     -684
_LVONextDosEntry       equ     -690
_LVOMakeDosEntry       equ     -696
_LVOFreeDosEntry       equ     -702
_LVOIsFileSystem       equ     -708
_LVOFormat             equ     -714
_LVORelabel            equ     -720
_LVOInhibit            equ     -726
_LVOAddBuffers         equ     -732
_LVOCompareDates       equ     -738
_LVODateToStr          equ     -744
_LVOStrToDate          equ     -750
_LVOInternalLoadSeg    equ     -756
_LVOInternalUnLoadSeg  equ     -762
_LVONewLoadSeg         equ     -768
_LVOAddSegment         equ     -774
_LVOFindSegment        equ     -780
_LVORemSegment         equ     -786
_LVOCheckSignal        equ     -792
_LVOReadArgs           equ     -798
_LVOFindArg            equ     -804
_LVOReadItem           equ     -810
_LVOStrToLong          equ     -816
_LVOMatchFirst         equ     -822
_LVOMatchNext          equ     -828
_LVOMatchEnd           equ     -834
_LVOParsePattern       equ     -840
_LVOMatchPattern       equ     -846
_LVODosNameFromAnchor  equ     -852
_LVOFreeArgs           equ     -858
_LVOFilePart           equ     -870
_LVOPathPart           equ     -876
_LVOAddPart            equ     -882
_LVOStartNotify        equ     -888
_LVOEndNotify          equ     -894
_LVOSetVar             equ     -900
_LVOGetVar             equ     -906
_LVODeleteVar          equ     -912
_LVOFindVar            equ     -918
_LVOCliInit            equ     -924
_LVOCliInitNewCli      equ     -930
_LVOCliInitRun         equ     -936
_LVOWriteChars         equ     -942
_LVOPutStr             equ     -948
_LVOVPrintf            equ     -954
_LVOParsePatternNoCase equ     -966    ; Unimplemented until dos 36.147
_LVOMatchPatternNoCase equ     -972    ;
_LVODosGetString       equ     -978
_LVOSameDevice         equ     -984    ; Added for V37 dos
_LVOExAllEnd           equ     -990
_LVOSetOwner           equ     -996


******************* dtclass.library (?) ************************
_LVOObtainEngine       equ     -30

************************ exec.library **************************

_LVOSupervisor         equ     -30
_LVOExitIntr           equ     -36
_LVOSchedule           equ     -42
_LVOReschedule         equ     -48
_LVOSwitch             equ     -54
_LVODispatch           equ     -60
_LVOException          equ     -66
_LVOInitCode           equ     -72
_LVOInitStruct         equ     -78
_LVOMakeLibrary        equ     -84
_LVOMakeFunctions      equ     -90
_LVOFindResident       equ     -96
_LVOInitResident       equ     -102
_LVOAlert              equ     -108
_LVODebug              equ     -114
_LVODisable            equ     -120
_LVOEnable             equ     -126
_LVOForbid             equ     -132
_LVOPermit             equ     -138
_LVOSetSR              equ     -144
_LVOSuperState         equ     -150
_LVOUserState          equ     -156
_LVOSetIntVector       equ     -162
_LVOAddIntServer       equ     -168
_LVORemIntServer       equ     -174
_LVOCause              equ     -180
_LVOAllocate           equ     -186
_LVODeallocate         equ     -192
_LVOAllocMem           equ     -198
_LVOAllocAbs           equ     -204
_LVOFreeMem            equ     -210
_LVOAvailMem           equ     -216
_LVOAllocEntry         equ     -222
_LVOFreeEntry          equ     -228
_LVOInsert             equ     -234
_LVOAddHead            equ     -240
_LVOAddTail            equ     -246
_LVORemove             equ     -252
_LVORemHead            equ     -258
_LVORemTail            equ     -264
_LVOEnqueue            equ     -270
_LVOFindName           equ     -276
_LVOAddTask            equ     -282
_LVORemTask            equ     -288
_LVOFindTask           equ     -294
_LVOSetTaskPri         equ     -300
_LVOSetSignal          equ     -306
_LVOSetExcept          equ     -312
_LVOWait               equ     -318
_LVOSignal             equ     -324
_LVOAllocSignal        equ     -330
_LVOFreeSignal         equ     -336
_LVOAllocTrap          equ     -342
_LVOFreeTrap           equ     -348
_LVOAddPort            equ     -354
_LVORemPort            equ     -360
_LVOPutMsg             equ     -366
_LVOGetMsg             equ     -372
_LVOReplyMsg           equ     -378
_LVOWaitPort           equ     -384
_LVOFindPort           equ     -390
_LVOAddLibrary         equ     -396
_LVORemLibrary         equ     -402
_LVOOldOpenLibrary     equ     -408
_LVOCloseLibrary       equ     -414
_LVOSetFunction        equ     -420
_LVOSumLibrary         equ     -426
_LVOAddDevice          equ     -432
_LVORemDevice          equ     -438
_LVOOpenDevice         equ     -444
_LVOCloseDevice        equ     -450
_LVODoIO               equ     -456
_LVOSendIO             equ     -462
_LVOCheckIO            equ     -468
_LVOWaitIO             equ     -474
_LVOAbortIO            equ     -480
_LVOAddResource        equ     -486
_LVORemResource        equ     -492
_LVOOpenResource       equ     -498
_LVORawIOInit          equ     -504
_LVORawMayGetChar      equ     -510
_LVORawPutChar         equ     -516
_LVORawDoFmt           equ     -522
_LVOGetCC              equ     -528
_LVOTypeOfMem          equ     -534
_LVOProcure            equ     -540
_LVOVacate             equ     -546
_LVOOpenLibrary        equ     -552
_LVOInitSemaphore      equ     -558    ; Functions in V33 or higher (1.2)
_LVOObtainSemaphore    equ     -564
_LVOReleaseSemaphore   equ     -570
_LVOAttemptSemaphore   equ     -576
_LVOObtainSemaphoreList    equ -582
_LVOReleaseSemaphoreList   equ -588
_LVOFindSemaphore      equ     -594
_LVOAddSemaphore       equ     -600
_LVORemSemaphore       equ     -606
_LVOSumKickData        equ     -612
_LVOAddMemList         equ     -618
_LVOCopyMem            equ     -624
_LVOCopyMemQuick       equ     -630
_LVOCacheClearU        equ     -636    ; Functions in V36 or higher (2.0)
_LVOCacheClearE        equ     -642
_LVOCacheControl       equ     -648
_LVOCreateIORequest    equ     -654
_LVODeleteIORequest    equ     -660
_LVOCreateMsgPort      equ     -666
_LVODeleteMsgPort      equ     -672
_LVOObtainSemaphoreShared  equ -678
_LVOAllocVec           equ     -684
_LVOFreeVec            equ     -690
_LVOCreatePrivatePool  equ     -696
_LVODeletePrivatePool  equ     -702
_LVOAllocPooled        equ     -708
_LVOFreePooled         equ     -714
_LVOAttemptSemaphoreShared     equ     -720
_LVOColdReboot         equ     -726
_LVOStackSwap          equ     -732
_LVOChildFree          equ     -738
_LVOChildOrphan        equ     -744
_LVOChildStatus        equ     -750
_LVOChildWait          equ     -756
_LVOCachePreDMA        equ     -762
_LVOCachePostDMA       equ     -768
_LVOAddMemHandler      equ     -774
_LVORemMemHandler      equ     -780

ObtainQuickVector equ	-786
ExecReserved04	equ	-792
ExecReserved05	equ	-898
ExecReserved06	equ	-904
TaggedOpenLibrary equ	-910
ReadGayle	equ	-916
ExecReserved08	equ	-922
NewMinList	equ	-928
ExecReserved10	equ	-934
ExecReserved11	equ	-940
ExecReserved12	equ	-946
AVL_Reserved1	equ	-952
AVL_Reserved2	equ	-958
AVL_Reserved3	equ	-964
AVL_Reserved4	equ	-970
AVL_Reserved5	equ	-976
AVL_Reserved6	equ	-980
AVL_Reserved7	equ	-986
AVL_Reserved8	equ	-992
AVL_Reserved9	equ	-998
AVL_Reserved10	equ	-1004


******* Static System Variables

SoftVer		equ	34 	; kickstart release number (obs.)
LowMemChkSum	equ	36	; checksum of 68000 trap vectors
ChkBase		equ	38 	; system base pointer complement
ColdCapture	equ	42	; coldstart soft capture vector
CoolCapture	equ	46	; coolstart soft capture vector
WarmCapture	equ	50	; warmstart soft capture vector
SysStkUpper	equ	54	; system stack base   (upper bound)
SysStkLower	equ	58	; top of system stack (lower bound)
MaxLocMem	equ	62	; top of chip memory
DebugEntry	equ	66	; global debugger entry point
DebugData	equ	70	; global debugger data segment
AlertData	equ	74	; alert data segment
MaxExtMem	equ	78	; top of extended mem, or null if none
ChkSum		equ	82

******* Interrupt Related

IVTBE		equ	84	;+12
IVDSKBLK	equ	96
IVSOFTINT	equ	108
IVPORTS		equ	122
IVCOPER		equ	134
IVVERTB		equ	146
IVBLIT		equ	158
IVAUD0		equ	170
IVAUD1		equ	182
IVAUD2		equ	194
IVAUD3		equ	206
IVRBF		equ	218
IVDSKSYNC	equ	230
IVEXTER		equ	242
IVINTEN		equ	254
IVNMI		equ	264

******* Dynamic System Variables

ThisTask	equ	276	; pointer to current task (readable)

IdleCount	equ	280	; idle counter
DispCount	equ	284	; dispatch counter
Quantum		equ	288	; time slice quantum
Elapsed		equ	290	; current quantum ticks
SysFlags	equ	292	; misc internal system flags
IDNestCnt	equ	294	; interrupt disable nesting count
TDNestCnt	equ	295	; task disable nesting count
AttnFlags	equ	296	; special attention flags (readable) 296=$128 > $a47f
AttnResched	equ	298	; rescheduling attention
ResModules	equ	300	; pointer to resident module array
TaskTrapCode	equ	304	; default task trap routine
TaskExceptCode	equ	308	; default task exception code
TaskExitCode	equ	312	; default task exit code
TaskSigAlloc	equ	316	; preallocated signal mask
TaskTrapAlloc	equ	320	; preallocated trap maskThisTask

******* System List Headers (private!)

MemList		equ	322 +14
ResourceList	equ	336
DeviceList	equ	350
IntrList	equ	364
LibList		equ	378
PortList	equ	392
TaskReady	equ	406
TaskWait	equ	420
SoftInts	equ	434

LastAlert	equ	514
VBlankFrequency		equ	530	; 50
PowerSupplyFrequency	equ	531	; 50
SemaphoreList	equ	532

KickMemPtr	equ	546	; ptr to queue of mem lists
KickTagPtr	equ	550	; ptr to rom tag queue
KickCheckSum	equ	554	; checksum for mem and tags

******* V36 Exec additions

ex_Pad0		equ	558	; Private internal use
ex_LaunchPoint	equ	560	; Private to Launch/Switch
ex_RamLibPrivate equ	564

ex_EClockFrequency equ	568 	; 715909 for NTSC, or 709379 for PAL
ex_CacheControl	equ	572	; Private to the CacheControl call
ex_TaskID	equ	576	; Next available task ID
ex_Reserved1	equ	580
ex_MMULock	equ	600
ex_Reserved2	equ	604

******* V39 Exec additions

ex_MemHandlers	equ	616	; List of handlers
ex_MemHandler	equ	628	; Handler pointer



******************** expansion.library *************************

_LVOAddConfigDev       equ     -30     ; Functions in V33 or higher (1.2)
_LVOAddBootNode        equ     -36     ; Functions in V36 or higher (2.0)
_LVOAllocBoardMem      equ     -42     ; Functions in V33 or higher (1.2)
_LVOAllocConfigDev     equ     -48
_LVOAllocExpansionMem  equ     -54
_LVOConfigBoard        equ     -60
_LVOConfigChain        equ     -66
_LVOFindConfigDev      equ     -72
_LVOFreeBoardMem       equ     -78
_LVOFreeConfigDev      equ     -84
_LVOFreeExpansionMem   equ     -90
_LVOReadExpansionByte  equ     -96
_LVOReadExpansionRom   equ     -102
_LVORemConfigDev       equ     -108
_LVOWriteExpansionByte equ     -114
_LVOObtainConfigBinding    equ -120
_LVOReleaseConfigBinding   equ -126
_LVOSetCurrentBinding      equ -132
_LVOGetCurrentBinding      equ -138
_LVOMakeDosNode            equ -144
_LVOAddDosNode             equ -150
_LVOExpansionReserved26    equ -156    ; Functions in V36 or higher (2.0)
_LVOWriteExpansionWord     equ -162


*********************** FileSystem.resource ***********************


*********************** gadtools.library ***********************

_LVOCreateGadgetA      equ     -30     ; Functions in V36 or higher (2.0)
_LVOFreeGadgets        equ     -36
_LVOGT_SetGadgetAttrsA equ     -42
_LVOCreateMenusA       equ     -48
_LVOFreeMenus          equ     -54
_LVOLayoutMenuItemsA   equ     -60
_LVOLayoutMenusA       equ     -66
_LVOGT_GetIMsg         equ     -72
_LVOGT_ReplyIMsg       equ     -78
_LVOGT_RefreshWindow   equ     -84
_LVOGT_BeginRefresh    equ     -90
_LVOGT_EndRefresh      equ     -96
_LVOGT_FilterIMsg      equ     -102
_LVOGT_PostFilterIMsg  equ     -108
_LVOCreateContext      equ     -114
_LVODrawBevelBoxA      equ     -120
_LVOGetVisualInfoA     equ     -126
_LVOFreeVisualInfoA    equ     -132
_LVOGTReserved0        equ     -138
_LVOGTReserved1        equ     -144
_LVOGTReserved2        equ     -150
_LVOGTReserved3        equ     -156
_LVOGTReserved4        equ     -162
_LVOGTReserved5        equ     -168
_LVOGT_GetGadgetAttrsA equ     -174

*********************** graphics.library ***********************

_LVOBltBitMap          equ     -30
_LVOBltTemplate        equ     -36
_LVOClearEOL           equ     -42
_LVOClearScreen        equ     -48
_LVOTextLength         equ     -54
_LVOText               equ     -60
_LVOSetFont            equ     -66
_LVOOpenFont           equ     -72
_LVOCloseFont          equ     -78
_LVOAskSoftStyle       equ     -84
_LVOSetSoftStyle       equ     -90
_LVOAddBob             equ     -96
_LVOAddVSprite         equ     -102
_LVODoCollision        equ     -108
_LVODrawGList          equ     -114
_LVOInitGels           equ     -120
_LVOInitMasks          equ     -126
_LVORemIBob            equ     -132
_LVORemVSprite         equ     -138
_LVOSetCollision       equ     -144
_LVOSortGList          equ     -150
_LVOAddAnimOb          equ     -156
_LVOAnimate            equ     -162
_LVOGetGBuffers        equ     -168
_LVOInitGMasks         equ     -174
_LVODrawEllipse        equ     -180
_LVOAreaEllipse        equ     -186
_LVOLoadRGB4           equ     -192
_LVOInitRastPort       equ     -198
_LVOInitVPort          equ     -204
_LVOMrgCop             equ     -210
_LVOMakeVPort          equ     -216
_LVOLoadView           equ     -222
_LVOWaitBlit           equ     -228
_LVOSetRast            equ     -234
_LVOMove               equ     -240
_LVODraw               equ     -246
_LVOAreaMove           equ     -252
_LVOAreaDraw           equ     -258
_LVOAreaEnd            equ     -264
_LVOWaitTOF            equ     -270
_LVOQBlit              equ     -276
_LVOInitArea           equ     -282
_LVOSetRGB4            equ     -288
_LVOQBSBlit            equ     -294
_LVOBltClear           equ     -300
_LVORectFill           equ     -306
_LVOBltPattern         equ     -312
_LVOReadPixel          equ     -318
_LVOWritePixel         equ     -324
_LVOFlood              equ     -330
_LVOPolyDraw           equ     -336
_LVOSetAPen            equ     -342
_LVOSetBPen            equ     -348
_LVOSetDrMd            equ     -354
_LVOInitView           equ     -360
_LVOCBump              equ     -366
_LVOCMove              equ     -372
_LVOCWait              equ     -378
_LVOVBeamPos           equ     -384
_LVOInitBitMap         equ     -390
_LVOScrollRaster       equ     -396
_LVOWaitBOVP           equ     -402
_LVOGetSprite          equ     -408
_LVOFreeSprite         equ     -414
_LVOChangeSprite       equ     -420
_LVOMoveSprite         equ     -426
_LVOLockLayerRom       equ     -432
_LVOUnlockLayerRom     equ     -438
_LVOSyncSBitMap        equ     -444
_LVOCopySBitMap        equ     -450
_LVOOwnBlitter         equ     -456
_LVODisownBlitter      equ     -462
_LVOInitTmpRas         equ     -468
_LVOAskFont            equ     -474
_LVOAddFont            equ     -480
_LVORemFont            equ     -486
_LVOAllocRaster        equ     -492
_LVOFreeRaster         equ     -498
_LVOAndRectRegion      equ     -504
_LVOOrRectRegion       equ     -510
_LVONewRegion          equ     -516
_LVOClearRectRegion    equ     -522
_LVOClearRegion        equ     -528
_LVODisposeRegion      equ     -534
_LVOFreeVPortCopLists  equ     -540
_LVOFreeCopList        equ     -546
_LVOClipBlit           equ     -552
_LVOXorRectRegion      equ     -558
_LVOFreeCprList        equ     -564
_LVOGetColorMap        equ     -570
_LVOFreeColorMap       equ     -576
_LVOGetRGB4            equ     -582
_LVOScrollVPort        equ     -588
_LVOUCopperListInit    equ     -594
_LVOFreeGBuffers       equ     -600
_LVOBltBitMapRastPort  equ     -606
_LVOOrRegionRegion     equ     -612
_LVOXorRegionRegion    equ     -618
_LVOAndRegionRegion    equ     -624
_LVOSetRGB4CM          equ     -630
_LVOBltMaskBitMapRastPort  equ -636
_LVOGraphicsReserved1  equ     -642
_LVOGraphicsReserved2  equ     -648
_LVOAttemptLockLayerRom    equ -654
_LVOGfxNew             equ     -660    ; Functions in V36 or higher (2.0)
_LVOGfxFree            equ     -666
_LVOGfxAssociate       equ     -672
_LVOBitMapScale        equ     -678
_LVOScaleDiv           equ     -684
_LVOTextExtent         equ     -690
_LVOTextFit            equ     -696
_LVOGfxLookUp          equ     -702
_LVOVideoControl       equ     -708
_LVOOpenMonitor        equ     -714
_LVOCloseMonitor       equ     -720
_LVOFindDisplayInfo    equ     -726
_LVONextDisplayInfo    equ     -732
_LVOAddDisplayInfo     equ     -738
_LVOAddDisplayInfoData equ     -744
_LVOSetDisplayInfoData equ     -750
_LVOGetDisplayInfoData equ     -756
_LVOFontExtent         equ     -762
_LVOReadPixelLine8     equ     -768
_LVOWritePixelLine8    equ     -774
_LVOReadPixelArray8    equ     -780
_LVOWritePixelArray8   equ     -786
_LVOGetVPModeID        equ     -792
_LVOModeNotAvailable   equ     -798
_LVOWeighTAMatch       equ     -804
_LVOEraseRect          equ     -810
_LVOExtendFont         equ     -816
_LVOStripFont          equ     -822
_LVOCalcIVG    	equ	-828    ; Functions in V39 or higher (3.0)
_LVOAttachPalExtra	equ	-834
_LVOObtainBestPenA	equ	-840
_LVOGfxInternal3	equ	-846
_LVOSetRGB32   	equ	-852
_LVOGetAPen	        equ	-858
_LVOGetBPen	        equ	-864
_LVOGetDrMd    	equ	-870
_LVOGetOutlinePen	equ	-876
_LVOLoadRGB32  	equ	-882
_LVOSetChipRev 	equ	-888
_LVOSetABPenDrMd       equ	-894
_LVOGetRGB32   	equ	-900
_LVOGfxSpare1  	equ	-906
_LVOAllocBitMap        equ	-918
_LVOFreeBitMap 	equ	-924
_LVOGetExtSpriteA	equ	-930
_LVOCoerceMode 	equ	-936
_LVOChangeVPBitMap	equ	-942
_LVOReleasePen 	equ	-948
_LVOObtainPen	        equ	-954
_LVOGetBitMapAttr	equ	-960
_LVOAllocDBufInfo	equ	-966
_LVOFreeDBufInfo	equ	-972
_LVOSetOutlinePen	equ	-978
_LVOSetWriteMask	equ	-984
_LVOSetMaxPen  	equ	-990
_LVOSetRGB32CM 	equ	-996
_LVOScrollRasterBF	equ	-1002
_LVOFindColor  	equ	-1008
_LVOGfxSpare2	        equ	-1014
_LVOAllocSpriteDataA	equ	-1020
_LVOChangeExtSpriteA	equ	-1026
_LVOFreeSpriteData	equ	-1032
_LVOSetRPAttrsA	equ	-1038
_LVOGetRPAttrsA	equ	-1044
_LVOBestModeIDA	equ	-1050

******* graphics System Variables

gb_ActiView	EQU	34	; struct *View
gb_copinit	EQU	38	; struct *copinit; ptr to copper start up list
gb_cia		EQU	42	; for 6526 resource use
gb_blitter	EQU	46	; for blitter resource use
gb_LOFlist	EQU	50	; current copper list being run
gb_SHFlist	EQU	54	; current copper list being run
gb_blthd	EQU	58	; struct *bltnode
gb_blttl	EQU	62
gb_bsblthd	EQU	66
gb_bsblttl	EQU	70
gb_vbsrv	EQU	74
gb_timsrv	EQU	96
gb_bltsrv	EQU	118
gb_TextFonts	EQU	140
gb_DefaultFont	EQU	154
gb_Modes	EQU	158	; copy of bltcon0
gb_VBlank	EQU	160
gb_Debug	EQU	161
gb_BeamSync	EQU	162
gb_system_bplcon0	EQU	164
gb_SpriteReserved	EQU	166
gb_bytereserved	EQU	167
gb_Flags	EQU	168
gb_BlitLock	EQU	170
gb_BlitNest	EQU	172
gb_BlitWaitQ	EQU	174
gb_BlitOwner	EQU	188
gb_TOF_WaitQ	EQU	192
gb_DisplayFlags	EQU	206
gb_SimpleSprites	EQU	208
gb_MaxDisplayRow	EQU	212
gb_MaxDisplayColumn	EQU	214
gb_NormalDisplayRows	EQU	216
gb_NormalDisplayColumns	EQU	218
gb_NormalDPMX		EQU	220
gb_NormalDPMY		EQU	222
gb_LastChanceMemory	EQU	224
gb_LCMptr		EQU	228
gb_MicrosPerLine	EQU	232	; usecs per line times 256
gb_MinDisplayColumn	EQU	234
gb_ChipRevBits0		EQU	236	; agnus/denise new features
gb_MemType		EQU	237
gb_crb_reserved		EQU	238
gb_monitor_id		EQU	242	; normally null
gb_hedley		EQU	244
gb_hedley_sprites	EQU	276
gb_hedley_sprites1	EQU	308
gb_hedley_count		EQU	340
gb_hedley_flags		EQU	342
gb_hedley_tmp		EQU	344
gb_hash_table		EQU	346
gb_current_tot_rows	EQU	350
gb_current_tot_cclks	EQU	352
gb_hedley_hint		EQU	354
gb_hedley_hint2		EQU	355
gb_nreserved		EQU	356
gb_a2024_sync_raster	EQU	372
gb_control_delta_pal	EQU	376
gb_control_delta_ntsc	EQU	378
gb_current_monitor	EQU	380
gb_MonitorList		EQU	384
gb_default_monitor	EQU	398
gb_MonitorListSemaphore	EQU	402
gb_DisplayInfoDataBase	EQU	406
gb_TopLine		EQU	410
gb_ActiViewCprSemaphore	EQU	412
gb_UtilBase		EQU	416
gb_ExecBase		EQU	420
gb_bwshifts		EQU	424
gb_StrtFetchMasks	EQU	428
gb_StopFetchMasks	EQU	432
gb_Overrun		EQU	436
gb_RealStops		EQU	440
gb_SpriteWidth		EQU	444
gb_SpriteFMode		EQU	446
gb_SoftSprites		EQU	448
gb_arraywidth		EQU	449	; need 2 more bytes to be lword aligned
gb_DefaultSpriteWidth	EQU	450	; what sprite width intuiton wants.
gb_SprMoveDisable	EQU	452
gb_WantChips		EQU	453
gb_BoardMemType		EQU	454
gb_Bugs			EQU	455
gb_LayersBase		EQU	456
gb_ColorMask		EQU	460
gb_IVector		EQU	464
gb_IData		EQU	468
gb_SpecialCounter	EQU	472
gb_DBList		EQU	476
gb_MonitorFlags		EQU	480
gb_ScanDoubledSprites	EQU	482
gb_BP3Bits		EQU	483
gb_MonitorVBlank	EQU	484
gb_natural_monitor	EQU	488
gb_ProgData		EQU	492
gb_ExtSprites		EQU	496


******* System Variables

gb_ActiView		equ	34	; struct *View
gb_copinit		equ	38	; struct *copinit; ptr to copper start up list
gb_cia			equ	42	; for 6526 resource use
gb_blitter		equ	46	; for blitter resource use
gb_LOFlist		equ	50	; current copper list being run
gb_SHFlist		equ	54	; current copper list being run
gb_blthd		equ	58	; struct *bltnode
gb_blttl		equ	62
gb_bsblthd		equ	66
gb_bsblttl		equ	70
gb_vbsrv,IS_SIZE	equ	74 +22
gb_timsrv,IS_SIZE	equ	96
gb_bltsrv,IS_SIZE	equ	118
gb_TextFonts,LH_SIZE	equ	140
gb_DefaultFont		equ	154
gb_Modes		equ	158	; copy of bltcon0
gb_VBlank		equ	160
gb_Debug		equ	161
gb_BeamSync		equ	162
gb_system_bplcon0	equ	164
gb_SpriteReserved	equ	166
gb_bytereserved		equ	167

gb_Flags	equ	168
gb_BlitLock	equ	170
gb_BlitNest	equ	172
gb_BlitWaitQ	equ	174
gb_BlitOwner	equ	188
gb_TOF_WaitQ	equ	192

gb_DisplayFlags	equ	206
gb_SimpleSprites	equ	208
gb_MaxDisplayRow	equ	212
gb_MaxDisplayColumn	equ	214
gb_NormalDisplayRows	equ	216
gb_NormalDisplayColumns	equ	218
gb_NormalDPMX	equ	220
gb_NormalDPMY	equ	222

************************* icon.library *************************

_LVOOBSOLETEGetWBObject    equ -30     ; Functions in V36 or higher (2.0)
_LVOOBSOLETEPutWBObject    equ -36
_LVOGetIcon            equ     -42
_LVOPutIcon            equ     -48
_LVOFreeFreeList       equ     -54
_LVOOBSOLETEFreeWBObject   equ -60
_LVOOBSOLETEAllocWBObject  equ -66
_LVOAddFreeList        equ     -72
_LVOGetDiskObject      equ     -78
_LVOPutDiskObject      equ     -84
_LVOFreeDiskObject     equ     -90
_LVOFindToolType       equ     -96
_LVOMatchToolValue     equ     -102
_LVOBumpRevision       equ     -108
_LVOFreeAlloc          equ     -114
_LVOGetDefDiskObject   equ     -120
_LVOPutDefDiskObject   equ     -126
_LVOGetDiskObjectNew   equ     -132
_LVODeleteDiskObject   equ     -138

********************** iffparse.library ************************

_LVOAllocIFF           equ     -30     ; Functions in V33 or higher (1.2)
_LVOOpenIFF            equ     -36
_LVOParseIFF           equ     -42
_LVOCloseIFF           equ     -48
_LVOFreeIFF            equ     -54
_LVOReadChunkBytes     equ     -60
_LVOWriteChunkBytes    equ     -66
_LVOReadChunkRecords   equ     -72
_LVOWriteChunkRecords  equ     -78
_LVOPushChunk          equ     -84
_LVOPopChunk           equ     -90
_LVOEntryHandler       equ     -102
_LVOExitHandler        equ     -108
_LVOPropChunk          equ     -114
_LVOPropChunks         equ     -120
_LVOStopChunk          equ     -126
_LVOStopChunks         equ     -132
_LVOCollectionChunk    equ     -138
_LVOCollectionChunks   equ     -144
_LVOStopOnExit         equ     -150
_LVOFindProp           equ     -156
_LVOFindCollection     equ     -162
_LVOFindPropContext    equ     -168
_LVOCurrentChunk       equ     -174
_LVOParentChunk        equ     -180
_LVOAllocLocalItem     equ     -186
_LVOLocalItemData      equ     -192
_LVOSetLocalItemPurge  equ     -198
_LVOFreeLocalItem      equ     -204
_LVOFindLocalItem      equ     -210
_LVOStoreLocalItem     equ     -216
_LVOStoreItemInContext equ     -222
_LVOInitIFF            equ     -228
_LVOInitIFFasDOS       equ     -234
_LVOInitIFFasClip      equ     -240
_LVOOpenClipboard      equ     -246
_LVOCloseClipboard     equ     -252
_LVOGoodID             equ     -258
_LVOGoodType           equ     -264
_LVOIDtoStr            equ     -270

*********************** input.device ***************************

_LVOPeekQualifier      equ     -42     ; Functions in V36 or higher (2.0)

********************* intuition.library ************************

_LVOOpenIntuition      equ     -30
_LVOIntuition          equ     -36
_LVOAddGadget          equ     -42
_LVOClearDMRequest     equ     -48
_LVOClearMenuStrip     equ     -54
_LVOClearPointer       equ     -60
_LVOCloseScreen        equ     -66
_LVOCloseWindow        equ     -72
_LVOCloseWorkBench     equ     -78
_LVOCurrentTime        equ     -84
_LVODisplayAlert       equ     -90
_LVODisplayBeep        equ     -96
_LVODoubleClick        equ     -102
_LVODrawBorder         equ     -108
_LVODrawImage          equ     -114
_LVOEndRequest         equ     -120
_LVOGetDefPrefs        equ     -126
_LVOGetPrefs           equ     -132
_LVOInitRequester      equ     -138
_LVOItemAddress        equ     -144
_LVOModifyIDCMP        equ     -150
_LVOModifyProp         equ     -156
_LVOMoveScreen         equ     -162
_LVOMoveWindow         equ     -168
_LVOOffGadget          equ     -174
_LVOOffMenu            equ     -180
_LVOOnGadget           equ     -186
_LVOOnMenu             equ     -192
_LVOOpenScreen         equ     -198
_LVOOpenWindow         equ     -204
_LVOOpenWorkBench      equ     -210
_LVOPrintIText         equ     -216
_LVORefreshGadgets     equ     -222
_LVORemoveGadget       equ     -228
_LVOReportMouse        equ     -234
_LVORequest            equ     -240
_LVOScreenToBack       equ     -246
_LVOScreenToFront      equ     -252
_LVOSetDMRequest       equ     -258
_LVOSetMenuStrip       equ     -264
_LVOSetPointer         equ     -270
_LVOSetWindowTitles    equ     -276
_LVOShowTitle          equ     -282
_LVOSizeWindow         equ     -288
_LVOViewAddress        equ     -294
_LVOViewPortAddress    equ     -300
_LVOWindowToBack       equ     -306
_LVOWindowToFront      equ     -312
_LVOWindowLimits       equ     -318
_LVOSetPrefs           equ     -324
_LVOIntuiTextLength    equ     -330
_LVOWBenchToBack       equ     -336
_LVOWBenchToFront      equ     -342
_LVOAutoRequest        equ     -348
_LVOBeginRefresh       equ     -354
_LVOBuildSysRequest    equ     -360
_LVOEndRefresh         equ     -366
_LVOFreeSysRequest     equ     -372
_LVOMakeScreen         equ     -378
_LVORemakeDisplay      equ     -384
_LVORethinkDisplay     equ     -390
_LVOAllocRemember      equ     -396
_LVOAlohaWorkbench     equ     -402
_LVOFreeRemember       equ     -408
_LVOLockIBase          equ     -414
_LVOUnlockIBase        equ     -420
_LVOGetScreenData      equ     -426    ; Functions in V33 or higher (1.2)
_LVORefreshGList       equ     -432
_LVOAddGList           equ     -438
_LVORemoveGList        equ     -444
_LVOActivateWindow     equ     -450
_LVORefreshWindowFrame equ     -456
_LVOActivateGadget     equ     -462
_LVONewModifyProp      equ     -468
_LVOQueryOverscan      equ     -474    ; Functions in V36 or higher (2.0)
_LVOMoveWindowInFrontOf    equ -480
_LVOChangeWindowBox    equ     -486
_LVOSetEditHook        equ     -492
_LVOSetMouseQueue      equ     -498
_LVOZipWindow          equ     -504
_LVOLockPubScreen      equ     -510
_LVOUnlockPubScreen    equ     -516
_LVOLockPubScreenList  equ     -522
_LVOUnlockPubScreenList    equ -528
_LVONextPubScreen      equ     -534
_LVOSetDefaultPubScreen    equ -540
_LVOSetPubScreenModes  equ     -546
_LVOPubScreenStatus    equ     -552
_LVOObtainGIRPort      equ     -558
_LVOReleaseGIRPort     equ     -564
_LVOGadgetMouse        equ     -570
_LVOSetIPrefs          equ     -576
_LVOGetDefaultPubScreen    equ -582
_LVOEasyRequestArgs    equ     -588
_LVOBuildEasyRequestArgs   equ -594
_LVOSysReqHandler      equ     -600
_LVOOpenWindowTagList  equ     -606
_LVOOpenScreenTagList  equ     -612
_LVODrawImageState     equ     -618
_LVOPointInImage       equ     -624
_LVOEraseImage         equ     -630
_LVONewObjectA         equ     -636
_LVODisposeObject      equ     -642
_LVOSetAttrsA          equ     -648
_LVOGetAttr            equ     -654
_LVOSetGadgetAttrsA    equ     -660
_LVONextObject         equ     -666
_LVOFindClass          equ     -672
_LVOMakeClass          equ     -678
_LVOAddClass           equ     -684
_LVOGetScreenDrawInfo  equ     -690
_LVOFreeScreenDrawInfo equ     -696
_LVOResetMenuStrip     equ     -702
_LVORemoveClass        equ     -708
_LVOFreeClass          equ     -714
_LVOlockPubClass       equ     -720
_LVOunlockPubClass     equ     -726

_LVOAllocScreenBuffer	equ	-768    ; Functions in V39 or higher (3.0)
_LVOFreeScreenBuffer	equ	-774
_LVOChangeScreenBuffer	equ	-780
_LVOScreenDepth	equ	-786
_LVOScreenPosition	equ	-792
_LVOScrollWindowRaster	equ	-798
_LVOLendMenus  	equ	-804
_LVODoGadgetMethodA	equ	-810
_LVOSetWindowPointerA	equ	-816
_LVOTimedDisplayAlert	equ	-822
_LVOHelpControl	equ	-828


******* System Variables

ib_ViewLord	EQU	34
ib_ActiveWindow	EQU	52
ib_ActiveScreen	EQU	56
ib_FirstScreen	EQU	60
ib_Flags	EQU	64	; private meaning
ib_MouseY	EQU	68	; these are supposed to be backwards,
ib_MouseX	EQU	70	;  but weren't, recently
ib_Seconds	EQU	72
ib_Micros	EQU	76

********************* keymap.library ***************************

_LVOSetKeyMapDefault   equ     -30     ; Functions in V36 or higher (2.0)
_LVOAskKeyMapDefault   equ     -36
_LVOMapRawKey          equ     -42
_LVOMapANSI            equ     -48

********************* layers.library ***************************

_LVOInitLayers         equ     -30
_LVOCreateUpfrontLayer equ     -36
_LVOCreateBehindLayer  equ     -42
_LVOUpfrontLayer       equ     -48
_LVOBehindLayer        equ     -54
_LVOMoveLayer          equ     -60
_LVOSizeLayer          equ     -66
_LVOScrollLayer        equ     -72
_LVOBeginUpdate        equ     -78
_LVOEndUpdate          equ     -84
_LVODeleteLayer        equ     -90
_LVOLockLayer          equ     -96
_LVOUnlockLayer        equ     -102
_LVOLockLayers         equ     -108
_LVOUnlockLayers       equ     -114
_LVOLockLayerInfo      equ     -120
_LVOSwapBitsRastPortClipRect   equ -126
_LVOWhichLayer         equ     -132
_LVOUnlockLayerInfo    equ     -138
_LVONewLayerInfo       equ     -144
_LVODisposeLayerInfo   equ     -150
_LVOFattenLayerInfo    equ     -156
_LVOThinLayerInfo      equ     -162
_LVOMoveLayerInFrontOf equ     -168
_LVOInstallClipRegion  equ     -174
_LVOMoveSizeLayer      equ     -180
_LVOCreateUpfrontHookLayer equ -186
_LVOCreateBehindHookLayer  equ -192
_LVOInstallLayerHook   equ     -198
_LVOInstallLayerInfoHook equ	-204
_LVOSortLayerCR	equ	-210
_LVODoHookClipRects	equ	-216

********************** locale.library **************************

_LVOCloseCatalog	equ	-36
_LVOCloseLocale	equ	-42
_LVOConvToLower	equ	-48
_LVOConvToUpper	equ	-54
_LVOFormatDate	        equ	-60
_LVOFormatString	equ	-66
_LVOGetCatalogStr	equ	-72
_LVOGetLocaleStr	equ	-78
_LVOIsAlNum	        equ	-84
_LVOIsAlpha	        equ	-90
_LVOIsCntrl	        equ	-96
_LVOIsDigit	        equ	-102
_LVOIsGraph	        equ	-108
_LVOIsLower	        equ	-114
_LVOIsPrint	        equ	-120
_LVOIsPunct	        equ	-126
_LVOIsSpace	        equ	-132
_LVOIsUpper	        equ	-138
_LVOIsXDigit	        equ	-144
_LVOOpenCatalogA	equ	-150
_LVOOpenLocale	        equ	-156
_LVOParseDate	        equ	-162
_LVOStrConvert	        equ	-174
_LVOStrnCmp	        equ	-180

********************* lowlevel.library ***********************

_LVOReadJoyPort  equ  -30
_LVOGetLanguageSelection  equ  -36
_LVOlowlevelPrivate1  equ  -42
_LVOGetKey  equ  -48
_LVOQueryKeys  equ  -54
_LVOAddKBInt  equ  -60
_LVORemKBInt  equ  -66
_LVOSystemControlA  equ  -72
_LVOAddTimerInt  equ  -78
_LVORemTimerInt  equ  -84
_LVOStopTimerInt  equ  -90
_LVOStartTimerInt  equ  -96
_LVOElapsedTime  equ  -102
_LVOAddVBlankInt  equ  -108
_LVORemVBlankInt  equ  -114
_LVOlowlevelPrivate2  equ  -120
_LVOlowlevelPrivate3  equ  -126
_LVOSetJoyPortAttrsA  equ  -132
_LVOlowlevelPrivate4  equ  -138
_LVOlowlevelPrivate5  equ  -144
_LVOlowlevelPrivate6  equ  -150
_LVOlowlevelPrivate7  equ  -156
_LVOlowlevelPrivate8  equ  -162

********************* nonvolatile.library ***********************

_LVOGetCopyNV  equ  -30
_LVOFreeNVData  equ  -36
_LVOStoreNV  equ  -42
_LVODeleteNV  equ  -48
_LVOGetNVInfo  equ  -54
_LVOGetNVList  equ  -60
_LVOSetNVProtection  equ  -66

********************* mathffp.library **************************

_LVOSPFix              equ     -30
_LVOSPFlt              equ     -36
_LVOSPCmp              equ     -42
_LVOSPTst              equ     -48
_LVOSPAbs              equ     -54
_LVOSPNeg              equ     -60
_LVOSPAdd              equ     -66
_LVOSPSub              equ     -72
_LVOSPMul              equ     -78
_LVOSPDiv              equ     -84
_LVOSPFloor            equ     -90     ; Functions in V33 or higher (1.2)
_LVOSPCeil             equ     -96

******************* mathieeedoubbas.library ********************

_LVOIEEEDPFix          equ     -30
_LVOIEEEDPFlt          equ     -36
_LVOIEEEDPCmp          equ     -42
_LVOIEEEDPTst          equ     -48
_LVOIEEEDPAbs          equ     -54
_LVOIEEEDPNeg          equ     -60
_LVOIEEEDPAdd          equ     -66
_LVOIEEEDPSub          equ     -72
_LVOIEEEDPMul          equ     -78
_LVOIEEEDPDiv          equ     -84
_LVOIEEEDPFloor        equ     -90     ; Functions in V33 or higher (1.2)
_LVOIEEEDPCeil         equ     -96

****************** mathieeedoubtrans.library *******************

_LVOIEEEDPAtan         equ     -30
_LVOIEEEDPSin          equ     -36
_LVOIEEEDPCos          equ     -42
_LVOIEEEDPTan          equ     -48
_LVOIEEEDPSincos       equ     -54
_LVOIEEEDPSinh         equ     -60
_LVOIEEEDPCosh         equ     -66
_LVOIEEEDPTanh         equ     -72
_LVOIEEEDPExp          equ     -78
_LVOIEEEDPLog          equ     -84
_LVOIEEEDPPow          equ     -90
_LVOIEEEDPSqrt         equ     -96
_LVOIEEEDPTieee        equ     -102
_LVOIEEEDPFieee        equ     -108
_LVOIEEEDPAsin         equ     -114
_LVOIEEEDPAcos         equ     -120
_LVOIEEEDPLog10        equ     -126

******************* mathieeesignbas.library ********************

_LVOIEEESPFix          equ     -30
_LVOIEEESPFlt          equ     -36
_LVOIEEESPCmp          equ     -42
_LVOIEEESPTst          equ     -48
_LVOIEEESPAbs          equ     -54
_LVOIEEESPNeg          equ     -60
_LVOIEEESPAdd          equ     -66
_LVOIEEESPSub          equ     -72
_LVOIEEESPMul          equ     -78
_LVOIEEESPDiv          equ     -84
_LVOIEEESPFloor        equ     -90     ; Functions in V33 or higher (1.2)
_LVOIEEESPCeil         equ     -96

******************* mathieeesigntrans.library ******************

_LVOIEEESPAtan         equ     -30
_LVOIEEESPSin          equ     -36
_LVOIEEESPCos          equ     -42
_LVOIEEESPTan          equ     -48
_LVOIEEESPSincos       equ     -54
_LVOIEEESPSinh         equ     -60
_LVOIEEESPCosh         equ     -66
_LVOIEEESPTanh         equ     -72
_LVOIEEESPExp          equ     -78
_LVOIEEESPLog          equ     -84
_LVOIEEESPPow          equ     -90
_LVOIEEESPSqrt         equ     -96
_LVOIEEESPTieee        equ     -102
_LVOIEEESPFieee        equ     -108
_LVOIEEESPAsin         equ     -114
_LVOIEEESPAcos         equ     -120
_LVOIEEESPLog10        equ     -126

********************** mathtrans.library ***********************

_LVOSPAtan             equ     -30
_LVOSPSin              equ     -36
_LVOSPCos              equ     -42
_LVOSPTan              equ     -48
_LVOSPSincos           equ     -54
_LVOSPSinh             equ     -60
_LVOSPCosh             equ     -66
_LVOSPTanh             equ     -72
_LVOSPExp              equ     -78
_LVOSPLog              equ     -84
_LVOSPPow              equ     -90
_LVOSPSqrt             equ     -96
_LVOSPTieee            equ     -102
_LVOSPFieee            equ     -108
_LVOSPAsin             equ     -114    ; Functions in V31 or higher (1.1)
_LVOSPAcos             equ     -120
_LVOSPLog10            equ     -126

************************* misc.resource ************************

_LVOAllocMiscResource  equ     -6
_LVOFreeMiscResource   equ     -12

************************* potgo.resource ***********************

_LVOAllocPotBits       equ     -6
_LVOFreePotBits        equ     -12
_LVOWritePotgo         equ     -18

************************* ramdrive.device **********************

_LVOKillRAD0           equ     -42     ; Functions in V34 or higher (1.3)
_LVOKillRAD            equ     -48     ; Functions in V36 or higher (2.0)

******************** rexxsyslib.library ************************

_LVOCreateArgString    equ     -126    ; Functions in V33 or higher (1.2)
_LVODeleteArgString    equ     -132
_LVOLengthArgString    equ     -138
_LVOCreateRexxMsg      equ     -144
_LVODeleteRexxMsg      equ     -150
_LVOClearRexxMsg       equ     -156
_LVOFillRexxMsg        equ     -162
_LVOIsRexxMsg          equ     -168
_LVOLockRexxBase       equ     -450
_LVOUnlockRexxBase     equ     -456

************************** timer.device ************************

_LVOAddTime            equ     -42
_LVOSubTime            equ     -48
_LVOCmpTime            equ     -54
_LVOReadEClock         equ     -60
_LVOGetSysTime         equ     -66

********************** translator.library **********************

_LVOTranslate          equ     -30

*********************** utility.library ************************

_LVOFindTagItem        equ     -30     ; Functions in V36 or higher (2.0)
_LVOGetTagData         equ     -36
_LVOPackBoolTags       equ     -42
_LVONextTagItem        equ     -48
_LVOFilterTagChanges   equ     -54
_LVOMapTags            equ     -60
_LVOAllocateTagItems   equ     -66
_LVOCloneTagItems      equ     -72
_LVOFreeTagItems       equ     -78
_LVORefreshTagItemClones   equ -84
_LVOTagInArray         equ     -90
_LVOFilterTagItems     equ     -96
_LVOCallHookPkt        equ     -102
_LVOAmiga2Date         equ     -120
_LVODate2Amiga         equ     -126
_LVOCheckDate          equ     -132
_LVOSMult32            equ     -138
_LVOUMult32            equ     -144
_LVOSDivMod32          equ     -150
_LVOUDivMod32          equ     -156
_LVOStricmp            equ     -162
_LVOStrnicmp           equ     -168
_LVOToUpper            equ     -174
_LVOToLower            equ     -180
_LVOApplyTagChanges	equ	-186    ; Functions in V39 or higher (3.0)
_LVOSMult64	        equ	-198
_LVOUMult64	        equ	-204
_LVOPackStructureTags	equ	-210
_LVOUnpackStructureTags equ	-216
_LVOAddNamedObject	equ	-222
_LVOAllocNamedObjectA	equ	-228
_LVOAttemptRemNamedObject equ	-234
_LVOFindNamedObject	equ	-240
_LVOFreeNamedObject	equ	-246
_LVONamedObjectName	equ	-252
_LVOReleaseNamedObject	equ	-258
_LVORemNamedObject	equ	-264
_LVOGetUniqueID	equ	-270

******* System Variables

ub_Language	EQU	34
ub_Reserved	EQU	35

*********************** vampire.resource **********************

_LVOV_AllocExpansionPort	equ	-6  ; V44
_LVOV_FreeExpansionPort		equ	-12
_LVOV_EnableAMMX		equ	-18 ; V45


*********************** workbench.library **********************

_LVOUpdateWorkbench    equ     -30     ; Functions in V36 or higher (2.0)
_LVOQuoteWorkbench     equ     -36
_LVOStartWorkbench     equ     -42
_LVOAddAppWindow       equ     -48
_LVORemoveAppWindow    equ     -54
_LVOAddAppIconA        equ     -60
_LVORemoveAppIcon      equ     -66
_LVOAddAppMenuItemA    equ     -72
_LVORemoveAppMenuItem  equ     -78
_LVOWBInfo             equ     -90     ; Functions in V39 or higher (3.0)

**********************  xpkmaster.library **********************

_LVOXpkExamine              	EQU	-36
_LVOXpkPack                 	EQU	-42
_LVOXpkUnpack               	EQU	-48
_LVOXpkOpen                 	EQU	-54
_LVOXpkRead                 	EQU	-60
_LVOXpkWrite                	EQU	-66
_LVOXpkSeek                 	EQU	-72
_LVOXpkClose                	EQU	-78
_LVOXpkQuery                	EQU	-84
_LVOXpkAllocObject          	EQU	-90
_LVOXpkFreeObject           	EQU	-96
_LVOXpkPrintFault           	EQU	-102
_LVOXpkFault                	EQU	-108
_LVOXpkPassRequest          	EQU	-114

*****************************************************************
